* {
  box-sizing: border-box;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #f9f9f9;
  display: grid;
  place-items: center;
  /* min-height: 100vh; */
  /* margin: 0; */
}

.container {
  background-color: white;
  padding: 35px;
  border-radius: 10px;
  box-shadow: 5px 5px 20px #aaaaaa;
  max-width: 670px;
  width: 100%;
}

form {
  display: grid;
  gap: 20px;
}

fieldset {
  display: grid;
  gap: 10px;
  padding: 25px 15px;
  border: solid 3px #01b8a5;
  border-radius: 10px;
}

legend {
  color: #01b8a5;
  font-weight: bold;
  padding: 0 5px;
  font-size: large;
}

[type="text"],
[type="email"],
select {
  padding: 10px;
  border: 2px solid #ccc;
  border-radius: 5px;
  margin-top: -8px;
  width: 100%;
}

textarea {
  padding: 10px 0px 50px 10px;
  margin-top: -8px;
  height: 80px;
  width: 100%;
  resize: vertical;
  border-radius: 5px;
}

:placeholder-shown {
  font-size: 1em;
}

select {
  font-size: 1em;
}

button {
  background-color: #01b8a5;
  color: white;
  border-radius: 5px;
  padding: 10px;
  width: 170px;
  font-size: large;
  margin: auto;
  border: none;
}
